## org.biojava.utils
Class BeanAsMap

    java.lang.Object
      java.util.AbstractMap
          org.biojava.utils.BeanAsMap

All Implemented Interfaces:
  java.util.Map

    public class BeanAsMap

extends java.util.AbstractMap

Author:
  Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry`

Constructor Summary
`BeanAsMap(java.lang.Object bean)`

Method Summary
`java.util.Set` `entrySet()`
`java.lang.Object` `put(java.lang.Object key, java.lang.Object value)`
`int` `size()`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, equals, get, hashCode, isEmpty, keySet, putAll, remove, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanAsMap

    public BeanAsMap(java.lang.Object bean)
              throws java.beans.IntrospectionException

Throws:
  `java.beans.IntrospectionException`

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map`
  Overrides:
    `size` in class `java.util.AbstractMap`

### entrySet

    public java.util.Set entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map`
  Specified by:
    `entrySet` in class `java.util.AbstractMap`

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map`
  Overrides:
    `put` in class `java.util.AbstractMap`